Index: trunk/grails-app/views/inventoryItemDetailed/create.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/create.gsp	(revision 616)
+++ trunk/grails-app/views/inventoryItemDetailed/create.gsp	(revision 716)
@@ -30,4 +30,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'name','errors')}">
                                     <input type="text" class="description" maxlength="50" id="name" name="name" value="${fieldValue(bean:inventoryItemInstance,field:'name')}"/>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.name" />
                                 </td>
                             </tr>
@@ -39,4 +40,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'description','errors')}">
                                     <textarea rows="5" cols="40" name="description">${fieldValue(bean:inventoryItemInstance, field:'description')}</textarea>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.description" />
                                 </td>
                             </tr>
@@ -48,4 +50,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'comment','errors')}">
                                     <textarea rows="5" cols="40" name="comment">${fieldValue(bean:inventoryItemInstance, field:'comment')}</textarea>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.comment" />
                                 </td>
                             </tr>
@@ -61,4 +64,5 @@
                                                         optionValue="${{it.name+ ' in ' + it.inventoryStore}}">
                                     </g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.inventory.location" />
 
                                 <p><g:link controller="inventoryLocationDetailed" action="create">+Add Location</g:link></p>
@@ -74,4 +78,5 @@
                                                     type="text" id="reorderPoint" name="reorderPoint"
                                                     value="${fieldValue(bean:inventoryItemInstance,field:'reorderPoint')}" />
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.reorder.point" />
                                     <g:select optionKey="id"
                                                         from="${UnitOfMeasure.list()}"
@@ -79,4 +84,5 @@
                                                         value="${inventoryItemInstance?.unitOfMeasure?.id}" >
                                     </g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.unit.of.measure" />
                                 </td>
                             </tr> 
@@ -88,4 +94,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'enableReorderListing','errors')}">
                                     <g:checkBox name="enableReorderListing" value="${inventoryItemInstance?.enableReorderListing}" ></g:checkBox>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.enable.reorder.listing" />
                                 </td>
                             </tr>
@@ -97,5 +104,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'inventoryGroup','errors')}">
                                     <g:select optionKey="id" from="${InventoryGroup.list()}" name="inventoryGroup.id" value="${inventoryItemInstance?.inventoryGroup?.id}" ></g:select>
-
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.inventory.group" />
                                 <p><g:link controller="inventoryGroupDetailed" action="create">+Add Group</g:link></p>
                                 </td>
@@ -108,4 +115,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'inventoryType','errors')}">
                                     <g:select optionKey="id" from="${InventoryType.list()}" name="inventoryType.id" value="${inventoryItemInstance?.inventoryType?.id}" ></g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.inventory.type" />
                                 </td>
                             </tr>
@@ -120,4 +128,5 @@
                                                     value="${fieldValue(bean:inventoryItemInstance,field:'averageDeliveryTime')}" />
                                     <g:select optionKey="id" from="${Period.list()}" name="averageDeliveryPeriod.id" value="${inventoryItemInstance?.averageDeliveryPeriod?.id}" noSelection="['null':'--None--']"></g:select>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.average.delivery.time" />
                                 </td>
                             </tr>
@@ -135,4 +144,5 @@
                                                                         from="${grailsApplication.config.currencyList}">
                                     </g:currencySelect>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.estimated.unit.price.amount" />
                                 </td>
                             </tr>
@@ -144,4 +154,5 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'suppliersPartNumber','errors')}">
                                     <input type="text" id="suppliersPartNumber" name="suppliersPartNumber" value="${fieldValue(bean:inventoryItemInstance,field:'suppliersPartNumber')}"/>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.suppliers.part.number" />
                                 </td>
                             </tr>
@@ -153,5 +164,5 @@
                                 <td valign="top">
                                     <g:select optionKey="id" from="${suppliers}" name="preferredSupplier.id" value="${inventoryItemInstance.preferredSupplier?.id}" noSelection="['null':'--None--']"></g:select>
-
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.preferred.supplier" />
                                     <p><g:link controller="supplierDetailed" action="create">+Add Supplier</g:link></p>
                                 </td>
@@ -167,4 +178,5 @@
                                                         size="5" multiple="yes" optionKey="id"
                                                         value="${inventoryItemInstance.alternateSuppliers?.id}" noSelection="['':'--None--']"/>
+                                    <g:helpBalloon class="helpballoon" code="inventory.item.alternate.suppliers" />
                                 </td>
                             </tr>
